[ARVADOS] updated: 01fbbc4a21320cb479f71ffa33c422240666a7b8
git at public.curoverse.com
git at public.curoverse.com
Wed Sep 30 09:10:54 EDT 2015
Summary of changes:
sdk/cli/bin/crunch-job | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
via 01fbbc4a21320cb479f71ffa33c422240666a7b8 (commit)
from 4e8c321b344d8ec23de7ee7c68b2553d87defb67 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 01fbbc4a21320cb479f71ffa33c422240666a7b8
Author: Brett Smith <brett at norfair>
Date: Wed Sep 30 09:10:27 2015 -0400
7263: crunch-job checks for refreshes every two seconds.
This avoids the possibility that a constant stream of data from tasks
can prevent the job from being canceled. Refs #7263.
diff --git a/sdk/cli/bin/crunch-job b/sdk/cli/bin/crunch-job
index 423f4cc..5539012 100755
--- a/sdk/cli/bin/crunch-job
+++ b/sdk/cli/bin/crunch-job
@@ -980,7 +980,7 @@ for (my $todo_ptr = 0; $todo_ptr <= $#jobstep_todo; $todo_ptr ++)
my $gotsome
= readfrompipes ()
+ reapchildren ();
- if (!$gotsome)
+ if (!$gotsome || ($latest_refresh + 2 < scalar time))
{
check_refresh_wanted();
check_squeue();
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list